[Cleric Class Transfer]:
In order to become a Bishop, the Cleric must successfully complete three quests. The Trial of the Pilgrim can only be undertaken by a player of level 35 or above. This quest begins by meeting with Hermit Santiago in a farmhouse near the Orc Barracks in Gludio. The Testimony of Trust can only be undertaken by a player of level 37 or above. This quest begins by meeting with High Priest Hollint of Oren Castle Town. Finally, the Test of the Healer can only be undertaken by a player of level 39 or above. This quest begins by meeting with Priest Bandellos of Giran Castle Town.
Return
Close Window